curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v2/{instance}/send-contact-card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"contacts": [
{
"vcard": "BEGIN:VCARD\\nVERSION:3.0\\nFN:Jane Doe\\nORG:Company Name;\\nTEL;type=CELL;type=VOICE;waid=911111111111:+11111111111111\\nEND:VCARD",
"organization": "Hypersender",
"whatsappId": 911111111111
}
]
}
'{}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}Send Contact Card
Send a contact card in the chat
POST
/
{instance}
/
send-contact-card
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v2/{instance}/send-contact-card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"contacts": [
{
"vcard": "BEGIN:VCARD\\nVERSION:3.0\\nFN:Jane Doe\\nORG:Company Name;\\nTEL;type=CELL;type=VOICE;waid=911111111111:+11111111111111\\nEND:VCARD",
"organization": "Hypersender",
"whatsappId": 911111111111
}
]
}
'{}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}V2 Queued Response: All API requests in V2 are queued for improved reliability. You’ll receive an immediate response with a
queued_request_uuid that you can use to check the actual message status.Response Format
All requests return a queued response:{
"queued": true,
"message": "Processing your request...",
"queued_request_uuid": "a0816120-7e37-4e8b-8cf3-92deb2cdc133",
"queued_request_link": "https://app.hypersender.com/api/whatsapp/v2/{instance}/queued-requests/a0816120-7e37-4e8b-8cf3-92deb2cdc133"
}
queued_request_link or the Get Queued Request endpoint to check the actual message response once it’s processed.
More details on queued requests can be found in the Queued Requests Documentation.
You can send a contact card in a chat in two ways:
By providing the vcard:
{
"vcard": "BEGIN:VCARD\\nVERSION:3.0\\nFN:Jane Doe\\nORG:Company Name;\\nTEL;type=CELL;type=VOICE;waid=911111111111:+11111111111111\\nEND:VCARD",
"organization": "Hypersender",
"whatsappId": 911111111111
}
By providing the contact info:
{
"vcard": null,
"fullName": "john doe",
"organization": "hypersender",
"phoneNumber": "+1111111111111",
"whatsappId": "911111111111"
}

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"{{ instance_id }}"
Body
application/json
Example:
Show child attributes
Show child attributes
Response
Successful response
The response is of type object.